/*
 * zGo2ProfileIsectX.h
 * 
 * Gocator system communication library
 * Copyright (C) 2013 by LMI Technologies Inc.
 * 
 * Licensed under The MIT License.
 * Redistributions of files must retain the above copyright notice.
 */

#ifndef LMITECH_GO2PROFILEISECTX_H_INCLUDED
#define LMITECH_GO2PROFILEISECTX_H_INCLUDED

#include <Go2Measurements/Go2ProfileIsectX.h>
#include <z/zGo2Measurement.h>
#include <z/zGo2Api.h>
#include <Go2ApiBegin.h>

/*
 * Go2ProfileIsectX Class 
 */

typedef struct Go2ProfileIsectXClass
{
    GO2_MEASUREMENT_FIELDS(); 
    Go2ProfileLine lines[2]; 
} Go2ProfileIsectXClass; 

GO2_EXPORT(Go2Status) Go2ProfileIsectX_Construct(Go2ProfileIsectX* measurement, Go2UInt32 id, Go2Object system); 
GO2_EXPORT(Go2Status) Go2ProfileIsectX_Init(Go2ProfileIsectX measurement, Go2UInt32 id, Go2Object system); 

GO2_EXPORT(Go2Status) Go2ProfileIsectX_VRelease(Go2ProfileIsectX measurement); 
GO2_EXPORT(Go2Status) Go2ProfileIsectX_VRead(Go2ProfileIsectX measurement, zXml xml, zXmlItem item); 
GO2_EXPORT(Go2Status) Go2ProfileIsectX_VWrite(Go2ProfileIsectX measurement, zXml xml, zXmlItem item); 



#include <Go2ApiEnd.h>
#endif
